.content{
  overflow: auto;

  .big-container{
    width: 80%;
    margin: auto;
    height: 100%;

    .header{
      position: relative;
      display: inline-flex;
      width: 100%;
      padding: 1rem 0;

      .title{
        font-size: 2rem;
        font-family: bold;
        width: calc(100% - 10rem);
        padding: 0.25rem;
        text-align: center;
      }

      .environment-variables{
        position: absolute;
        right: 0px;
        font-size: 0.9rem;
      }
    }

    .route{
      position: relative;
      display: inline-flex;
      width: 100%;
      align-items: center;
      padding: 1rem 0;

      .method{
        width: 10%;
        text-align-last: center;
        height: auto;
        padding: 1rem 1.75rem 1rem 0.75rem;
      }

      .dns{
        width: 25%;
        text-align-last: center;
        height: auto;
        padding: 1rem 1.75rem 1rem 0.75rem;
      }

      .path{
        width: 45%;
        height: auto;
        padding: 1rem 0.75rem;
      }

      .send{
        width: 10%;
        height: 3.5rem;
      }

      .save{
        width: 10%;
        height: 3.5rem;
      }
    }

    .send-data{
      position: relative;
      padding: 1rem 0;
      width: 100%;

      nav{
        border-radius: 0.25rem;
        margin-bottom: 18rem;
        
        .nav-tabs{
          border: 0;

          .nav-link{
            color: #000000;

            &.active{
              background-color: var(--info);
              color: white;
              border-width: 0;
            }
          }
        }
      }

      .tab-pane{
        position: absolute;
        height: 18rem;
        padding: 2rem;
        background-color: #ffffff99;
        width: 100%;
        overflow: auto;
        border-radius: 0;
        color: var(--secondary);

        &.active{
          z-index: 5;
        }

        .head-row{
          color: var(--info);
          border-bottom: var(--info) 1px solid;
          margin-bottom: 5px;

          label{
            text-align: center;
          }
        }

        #existant-headers{
          margin-bottom: 1rem;
        }

        #new-header input{
          background: linear-gradient(to bottom, #ffffff 0%, #d4d4d4 140%);
        }

        #existant-body-form-datas{
          margin-bottom: 1rem;
        }

        #new-body-form-data input{
          background: linear-gradient(to bottom, #ffffff 0%, #d4d4d4 140%);
        }

        .form-data{
          display: flex;
          align-items: center;

          .form-control{
            margin-right: 1%;
          }

          .times{
            cursor: pointer;
            width: 1rem;
            margin-left: 1%;
          }
          .plus{
            cursor: pointer;
            width: 1.1rem;
            margin-left: 1%;

            &.edited{
              border-bottom: 2px solid var(--info);
              border-top: 2px solid var(--info);
              border-left: 1px solid var(--info);
              border-right: 1px solid var(--info);
              border-radius: 1rem;
            }
          }
          .input-file{
            position: absolute;
            left: 49%;
            cursor: pointer;

            .file-buttons{
              width: 1rem;
            }
          }

        }

        // }

        &#nav-body-json{
          border-top: 0;
          border-radius: 0;
          color: black;

          &:focus{
            box-shadow: 0 0 0 0 #fff;
          }
        }

      }

    }

    .response{
      position: relative;
      margin: 1.5rem 0;

      .expected-response{
        .collapse-toggle{
          border-top-left-radius: 0.5rem;
          border-top-right-radius: 0.5rem;

          span.stisfied{
            margin-left: 1rem;
          }
        }
      }

      .collapse-toggle{
        background-color: var(--info);
        color: var(--white);
        cursor: pointer;
        padding: 0.5rem 1rem;
        display: flex;
        align-items: center;

        &.collapsed{
          border-bottom: 1px white solid;
        }

      }

      .head-row{
        color: var(--info);
        border-bottom: var(--info) 1px solid;
        margin-bottom: 5px;

        label{
          text-align: center;
        }
      }

      #existant-expected-responses{
        margin-bottom: 1rem;

        .existant-expected-response{
          &.satisfied-True{
            input, select{
              background: linear-gradient(to bottom, #ffffff 0%, #48bb00bf 150%);
            }
            select{
              -webkit-appearance: menulist;
              padding: .375rem 1.75rem .375rem 0.5rem;
            }
          }
          &.satisfied-False{
            input, select{
              background: linear-gradient(to bottom, #ffffff 0%, #ff00009c 150%);
            }
            select{
              -webkit-appearance: menulist;
              padding: .375rem 1.75rem .375rem 0.5rem;
            }
          }
        }
      }

      .val[disabled]::placeholder {
        color: #ffffff00;
      }
      .val[disabled] {
        color: #ffffff00;
      }

      #new-expected-response {
        input, select{
          background: linear-gradient(to bottom, #ffffff 0%, #d4d4d4 140%);
        }
        select{
          -webkit-appearance: menulist;
          padding: .375rem 1.75rem .375rem 0.5rem;
        }
      }

      .form-data{
        display: flex;
        align-items: center;

        .form-control{
          margin-right: 1%;
        }

        .times{
          cursor: pointer;
          width: 1rem;
          margin-left: 1%;
        }
        .plus{
          cursor: pointer;
          width: 1.1rem;
          margin-left: 1%;

          &.edited{
            border-bottom: 2px solid var(--info);
            border-top: 2px solid var(--info);
            border-left: 1px solid var(--info);
            border-right: 1px solid var(--info);
            border-radius: 1rem;
          }
        }
      }


      #expected-response-body{
        background-color: #ffffff99;

        .expected-response-body{
          padding: 2rem;
        }
      }

      .obtained-response{
        .collapse-toggle span.date{
          margin-left: 1rem;
        }

        #response-content{
          background-color: #ffffff99;
          border-bottom-left-radius: 0.5rem;
          border-bottom-right-radius: 0.5rem;
          
          .response-content{
            padding: 2rem;
            max-height: 50rem;
            overflow: auto;

            #iframe_response{
              width: 100%;
              height: 45rem;
            }
          }
        }
      }

    }
  }
}

#environment-variables-modal{
  .domains{
    padding: 1rem 0;

    #existant-domains{
      margin-bottom: 1rem;
    }

    #new-domain input{
      background: linear-gradient(to bottom, #FFFFFF00 0%, #00000012 80%);
    }
  }

  .environment-variables{
    padding: 1rem 0;
    #existant-environment-variables{
      margin-bottom: 1rem;
    }

    #new-environment-variable input{
      // background-color: #00000012;
      background: linear-gradient(to bottom, #FFFFFF00 0%, #00000012 80%);
    }
  }

  .head-row{
    color: var(--info);
    border-bottom: var(--info) 1px solid;
    margin-bottom: 5px;

    label{
      text-align: center;
    }
  }

  .form-data{
    display: flex;
    align-items: center;

    .form-control{
      margin-right: 1%;
    }

    .times{
      cursor: pointer;
      width: 1rem;
      margin-left: 1%;
    }
    .plus{
      cursor: pointer;
      width: 1.1rem;
      margin-left: 1%;

      &.edited{
        border-bottom: 2px solid var(--info);
        border-top: 2px solid var(--info);
        border-left: 1px solid var(--info);
        border-right: 1px solid var(--info);
        border-radius: 1rem;
      }
    }
  }
}